Message: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant? Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant? 

Forum: Installation and Configuration
Date: 10 Feb, 2012
From: Erik Dietz-Laursonn <Erik Dietz-Laursonn>

Hallo,
with the pre-cmake-Geant, I could switch between visualisation of my Geant4 simulation with OpenGL or QT by just doing

   unset G4UI_USE_TCSH
   export G4UI_USE_QT=1
   (for using QT)

or

   export G4UI_USE_TCSH=1
   unset G4UI_USE_QT
   (for using OpenGL)

and then recompiling my simulation code. As with cmake Geant is not longer configured via system variables (if I got this correctly),
this does not work anymore. But I still need both visualisation possibilities and do not want to reconfigure and recompile Geant just
to switch the visualisation tool used for my simulation. Is there an easier way to do this?

Best regardes,
Erik

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (John Allison - 10 Feb, 2012)
1 None: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (Erik Dietz-Laursonn - 13 Feb, 2012)
(_ None: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (Tom Roberts - 13 Feb, 2012)
(_ None: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (John Allison - 13 Feb, 2012)
2 Note: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (Ben Morgan - 14 Feb, 2012)
1 None: Re: How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?   (Erik Dietz-Laursonn - 16 Feb, 2012)
 Add Message Add Message
to: "How to switch the used visualisation tool of a Geant4 simulation for cmake-installed Geant?"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]